Trusted by the world’s leading companies
Übersicht
Live-Demo erkundenDas React Data Grid ist eine funktionsreiche Grid-Komponente zur Anzeige von Daten in einem Tabellenformat. Sein breites Funktionsspektrum umfasst Datenbindung, Bearbeitung, Excel-ähnliches Filtern, benutzerdefiniertes Sortieren, Aggregieren von Zeilen, Auswahl und Unterstützung für Excel-, CSV- und PDF-Formate.
Warum Syncfusion React Data Grid wählen?
Hohe Leistung
Gut durchdachte Anstrengungen und Fokus hauptsächlich auf schnelle Performance, um Millionen von Datensätzen in nur einer Sekunde zu laden.
Nahtlose Datenbindung
Binden Sie Daten nahtlos an verschiedene lokale und Remote-Datenquellen wie JSON, OData, WCF und RESTful-Webservices mithilfe des Datenmanagers.
Passt sich an jede Auflösung an
DataGrid verfügt über ein hochgradig responsives Layout und ein optimiertes Design für Desktops, Touchscreens und Smartphones. Es funktioniert gut auf allen Mobiltelefonen mit iOS, Android oder Windows OS.
Flexible Bearbeitung
Das React Data Grid führt Erstellungs-, Lese-, Aktualisierungs- und Löschvorgänge (CRUD) einfacher mit einer Liste von Geschäftsdatenobjekten oder einem Remote-Datendienst mithilfe eines Datenmanagers durch.
Erstellen Sie Ihre eigenen Vorlagendesigns
Ermöglicht Benutzern, benutzerdefinierte Benutzererfahrungen im React Grid basierend auf ihren Anwendungsbedürfnissen mithilfe einer breiten Palette von Vorlagenoptionen zu erstellen.
Attraktive anpassbare Themes
Top-aktuelles Design mit über 5 integrierten Themes wie Fluent, Tailwind CSS, Bootstrap, Material, Fabric und mehr. Nutzen Sie das Online Theme Studio Tool, um Themes einfach anzupassen.
Einfacher Export und Druck
Exportieren Sie das Data Grid in verschiedenen Dateiformaten, einschließlich Excel, PDF und CSV. Drucken Sie alle Zeilen, unabhängig von der Seitenzahl, sowie die aktuell angezeigte Seite.
Globalisierung und Lokalisierung
Ermöglicht Benutzern aus verschiedenen Regionen die Nutzung durch Formatierung von Daten, Währung und Nummerierung entsprechend den Präferenzen.
KI-bereites DataGrid für schnellere Erkenntnisse
Unser DataGrid ist sofort KI-bereit. Erweitern Sie es einfach mit semantischer Suche, Anomalieerkennung oder jedem anderen KI-Vorgang, den Sie benötigen. Erhalten Sie schnelle Antworten und eine intelligentere Datenexploration, alles in einem Grid.
-
Semantische Suche: Schließen Sie Ihr bevorzugtes NLP-Modell an, damit Benutzer mit natürlichen Phrasen suchen können, ohne exakte Schlüsselwörter zu benötigen.
- Sehen Sie, wie man semantische Suche hinzufügt
-
Anomalieerkennung: Verbinden Sie einen ML-Dienst, um ungewöhnliche Trends oder Fehler schnell zu finden und das Geschäft auf Kurs zu halten.
- Sehen Sie, wie man Anomalieerkennung hinzufügt
React DataGrid Codebeispiel
Einfach mit dem React Data Grid beginnen mit ein paar einfachen Zeilen TSX-Code, wie unten gezeigt. Entdecken Sie auch unser React DataGrid Beispiel, das zeigt, wie Sie ein DataGrid in React rendern und konfigurieren.
import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { GridComponent, ColumnsDirective, ColumnDirective } from '@syncfusion/ej2-react-grids';
import { orderDetails } from './data';
import { SampleBase } from '../common/sample-base';
export class Default extends SampleBase<{}, {}> {
render() {
return (
<div className='control-pane'>
<div className='control-section'>
<GridComponent dataSource={orderDetails} height='350'>
<ColumnsDirective>
<ColumnDirective field='OrderID' headerText='Order ID' width='120' textAlign='Right'></ColumnDirective>
<ColumnDirective field='CustomerName' headerText='Customer Name' width='150'></ColumnDirective>
<ColumnDirective field='OrderDate' headerText='Order Date' width='130' format='yMd' textAlign='Right' />
<ColumnDirective field='Freight' headerText='Freight' width='120' format='C2' textAlign='Right' />
<ColumnDirective field='ShippedDate' headerText='Shipped Date' width='130' format='yMd' textAlign='Right'></ColumnDirective>
<ColumnDirective field='ShipCountry' headerText='Ship Country' width='150'></ColumnDirective>
</ColumnsDirective>
</GridComponent>
</div>
</div>
)
}
}
Bearbeitung
Die React DataGrid-Komponente unterstützt Erstellungs-, Lese-, Aktualisierungs- und Löschvorgänge (CRUD). Zusätzlich zu den integrierten Editor-Komponenten zum Bearbeiten eines bestimmten Spaltenwerts können benutzerdefinierte Editor-Komponenten mithilfe von Vorlagen entsprechend den Anwendungsanforderungen erstellt werden. Mit Hilfe eines Datenmanagers können Sie Bearbeitungsvorgänge mit Array-Sammlungen oder Remote-Datendiensten durchführen.
Sortierung
Sortieren Sie Zeilen entweder auf- oder absteigend nach einer Spalte, indem Sie einfach auf den Header im React DataGrid klicken. Sortieren Sie die Daten mehrerer Spalten, indem Sie die Strg-Taste + Header-Klick gedrückt halten. Definieren Sie außerdem Ihre eigene benutzerdefinierte Sortierlogik basierend auf den Anwendungsanforderungen.


Filterung
Filterung hilft, bestimmte oder verwandte Datensätze anzuzeigen, die ein gegebenes Kriterium im Datengitter erfüllen. Das Datengitter unterstützt verschiedene Filtertypen, einschließlich leistungsstarker Excel-ähnlicher Filter. Wählen Sie den geeigneten Filtertyp, definieren Sie Ihre eigene benutzerdefinierte Filterlogik und passen Sie die Filterschnittstelle an die Anwendungsanforderungen an. Diakritische Zeichen können ebenfalls gefiltert werden.
Paging
Paging wird verwendet, um einen Datensegment aus der zugewiesenen Datenquelle anzuzeigen. Das React DataGrid bietet eine integrierte Pager-Benutzeroberfläche mit Optionen zur Anpassung der gesamten Benutzeroberfläche. Es verfügt auch über einen On-Demand-Paging-Modus für eine effektive Datenabfrage von Remote-Webdiensten.


Auswahl
Wählen Sie Zeilen oder Zellen mithilfe des Kontrollkästchens oder durch einfaches Klicken aus. Wählen Sie mehr als eine Zeile oder Zelle aus, indem Sie Strg, Umschalt oder Befehl gedrückt halten, oder programmgesteuert.
Gruppierung
Gruppieren Sie Zeilen, um die Daten in einer organisierten hierarchischen Struktur in auf- oder absteigender Reihenfolge anzuzeigen, um das Erweitern und Reduzieren von Datensätzen zu erleichtern. Es gibt eine Option, um Datensätze der gewünschten Spalte durch einfaches Ziehen und Ablegen dieser Spalte in einem interaktiven Ablagebereich zu gruppieren.


Aggregation
Aggregate für Spaltenwerte können einfach mit der Aggregationsfunktion angezeigt werden. Aggregate können so angepasst werden, dass ihr Wert in einzelnen Übersichtszeilen, einzelnen Gruppenübersichtszeilen oder Gruppenbeschriftungszeilen angezeigt wird.
Spalte
Spalten definieren das Schema der Datenquelle im React Data Grid. Es unterstützt Formatierung, automatische Generierung von Spalten, Spaltendefinitionen, Fixieren von Zeilen und Spalten, Spaltenüberspannung, Textumbruch, Spaltenauswahl, Spaltenmenü und andere Funktionen.

Fixierte Zeilen und Spalten
Fixierte Zeilen und Spalten sind oben bzw. links, rechts, beidseitig oder an einer festen Position sichtbar, wodurch der restliche Gitterinhalt scrollbar wird. Diese Funktion wird hauptsächlich zum Vergleich von Zellwerten verwendet.
Fester Header
Der React Data Grid Header muss beim vertikalen Scrollen des Dokuments in einer festen Position bleiben, um den Data Grid Inhalt zusammen mit dem Spaltenheader visualisieren zu können.

Zeile ziehen und ablegen
Das React Grid ermöglicht es Benutzern, Zeilen in ein anderes DataGrid oder eine benutzerdefinierte Komponente zu ziehen und abzulegen. Benutzer können auch Zeilen innerhalb desselben DataGrids mit dem Zieh-Symbol ziehen und ablegen und Zeilen zwischen verschiedenen Gruppen verschieben.
Master-Detail-Grid
React Master Detail Grid ist ein Anwendungsfall, bei dem die Details eines Datensatzes in einem separaten Datenraster durch Klicken auf eine bestimmte Zeile angezeigt werden.

Adaptives UI-Layout
Die Benutzeroberfläche des React Data Grid ist für optimale Ansichten und Benutzerfreundlichkeit auf kleinen Bildschirmen angepasst und neu gestaltet. Filter-, Sortier-, Such- und Bearbeitungsdialoge passen sich an die Bildschirmgröße an und rendern Zeilenelemente auch vertikal.
Skeleton-Ladeanzeige
Die React Data Grid Steuerung zeigt den Schimmereffekt als Ladeanzeige an, während Daten abgerufen und an das Gitter gebunden werden, sei es bei der ersten Darstellung, beim Aktualisieren oder nach der Durchführung von Gitteraktionen wie Sortieren, Filtern, Gruppieren und mehr. Das Data Grid bietet zwei Arten von Ladeanzeigeeffekten: Spinner und Schimmer.


Zustandsverwaltung
Die Zustandsverwaltung in der React Data Grid Komponente ermöglicht es Ihnen, den Zustand des Grids auch nach einer Browseraktualisierung oder beim Navigieren zu einer anderen Seite innerhalb derselben Browsersitzung beizubehalten. Diese Funktion ist besonders nützlich, um die Konfiguration und die Daten des Grids nach einem Seiten-Reload zu erhalten.
Live-Update
Das DataGrid aktualisiert Live-Daten in seinen Zellen in bestimmten Zeitintervallen. Diese Updates erfolgen ohne Verzögerung oder Verlangsamung, wodurch sichergestellt wird, dass das System hochreaktiv und effizient bleibt.

Integrierte Diagramme mit Data Grid
Das Data Grid ist jetzt mit der Diagrammkomponente integriert und wandelt ausgewählte Gitterdaten in dynamische, interaktive Visualisierungen um. Diese leistungsstarke Kombination aus Tabellen und Diagrammen ermöglicht es Benutzern, auf einen Blick klarere Einblicke zu gewinnen. Passen Sie die Diagrammtypen, Achsen und Visualisierungen an.
Zusätzliche Funktionen

Zeilenhöhe
Die Zeilenhöhe ist ein wichtiger Faktor bei der Anzeige der Anzahl von Datensätzen im Viewport und kann leicht an die UI-Anforderungen der Anwendung angepasst werden. Es ist auch möglich, die Zeilenhöhe bedingt einzustellen.

In Zwischenablage kopieren
Die Zwischenablage ermöglicht es Benutzern, Daten aus ausgewählten Zeilen oder Zellen in die Zwischenablage zu kopieren. Die Tastenkombinationen Strg+C und Strg+Umschalt+H kopieren Daten mit und ohne Header.

Kontextmenü
Führt verschiedene Aktionen in einem Data Grid mit dem Popup-Menü aus, das beim Rechtsklick auf die Zelle, den Header oder den Pager erscheint. Zusätzlich zu den integrierten Standardmenüpunkten können benutzerdefinierte Kontextmenüpunkte hinzugefügt werden.

Breite und Höhe
Legen Sie die Eigenschaften Breite und Höhe fest, um die Größe des Data Grid zu ändern. Wenn der Inhalt das Grid-Element überläuft, werden horizontale und vertikale Bildlaufleisten angezeigt. Um den übergeordneten Container des Data Grid auszufüllen, stellen Sie einfach Höhe und Breite auf 100 % ein.

Gestapelte Header
Gestapelte Header ermöglichen das Gruppieren und Visualisieren von Spaltenüberschriften in gestapelter Weise. Die Anzahl der stapelbaren Spalten ist unbegrenzt. Führen Sie alle Data Grid-Aktionen auch dann aus, wenn die Spalten gestapelt sind.
Barrierefreiheit

Tastaturnavigation
React Data Grid stellt sicher, dass jede Zelle über die Tastatur zugänglich ist. Wichtige Funktionen wie Sortieren, Auswählen und Bearbeiten können allein mit Tastaturbefehlen ausgeführt werden; keine Mausinteraktion ist erforderlich. Dies hilft beim Erstellen hochgradig zugänglicher Anwendungen mit dieser Komponente.

Screenreader
Die React Data Grid Ansicht verfügt über vollständige WAI-ARIA-Barrierefreiheitsunterstützung. Ihre Benutzeroberfläche enthält visuelle Elemente mit hohem Kontrast, die sehbehinderten Menschen die beste Seherfahrung ermöglichen. Außerdem sind gültige UI-Beschreibungen über assistierende Technologien wie Screenreader leicht zugänglich.

Rechts nach links (RTL)
Rechts-nach-links-Rendering ermöglicht die Anzeige von Text und Layout des Data Grid von rechts nach links. Dies verbessert das Benutzererlebnis und die Zugänglichkeit für RTL-Sprachen.
Mobil-optimiert und touchfreundlich
DataGrid in React verfügt über ein hochresponsives Layout und ein optimiertes Design für Desktops, Touchscreens und Smartphones. Es funktioniert gut auf allen Mobiltelefonen, die iOS, Android oder Windows 8 OS verwenden.

Touch-Unterstützung
Benutzerfreundliche Touch-Gesten und ein interaktives UI-Design bieten das beste Benutzererlebnis. Alle React Grid-Funktionen funktionieren auf Touch-Geräten ohne Konfiguration.

Responsiver Pager
Der React DataGrid Pager agiert intelligent und ändert seine gesamte Benutzeroberfläche responsiv basierend auf der Dimension. Sein optimiertes Design bietet die beste UI-Interaktion auf verschiedenen Geräten.
Sie sind sich nicht sicher, wie Sie Ihr erstes React Data Grid erstellen sollen? Unsere Tutorial-Videos und Dokumentation können helfen.
Ich möchte es jetzt ansehen Ich möchte es jetzt lesenEntdecken Sie Syncfusions vollständiges React-Komponenten-Ökosystem
Entdecken Sie über 150+ React-UI-Komponenten mit bewährten, produktionsreifen Steuerelementen und den neuesten reinen React-Komponenten, die nativ für die moderne Web-App-Entwicklung erstellt wurden.
-
React-Komponenten
-
Reine React-Komponenten
-
SMARTE KOMPONENTENRASTEREDITORSDROPDOWN-MENÜSEINGABENDATENVISUALISIERUNGNAVIGATIONSCHALTFLÄCHENINTERAKTIVER CHATBENACHRICHTIGUNGFORMULARE
-
RasterDatenvisualisierungNavigationSchaltflächenEingaben
Häufig gestellte Fragen
Warum sollten Sie Syncfusion React DataGrid wählen?
Das Syncfusion React DataGrid bietet die folgenden Funktionen:
Lädt Millionen von Datensätzen in nur einer Sekunde.
- Mobile-First-Design, das sich an jede Auflösung anpasst.
Flexible Datenbindung mit Unterstützung für lokale und Remote-Datenquellen wie JSON, RESTful-Dienste, OData-Dienste und WCF-Dienste.
Flexible Bearbeitung und intuitive Datensatz-Auswahlmodi.
Out-of-the-Box Excel-ähnliche Filterung und Gruppierungsoptionen.
Zahllose Spaltenanpassungen und Datensummen.
Nahtlose Datenexportoptionen wie PDF, CSV und Excel.
- Eines der besten React DataGrids auf dem Markt, das eine funktionsreiche Benutzeroberfläche zur Interaktion mit der Software bietet.
Einfache Konfiguration und API.
- Unterstützt alle modernen Browser.
Umfangreiche Lernressourcen wie Demos, Dokumentation und Videos, um schnell zu lernen und mit React DataGrid zu beginnen.
Was kostet Syncfusion React DataGrid?
Wir verkaufen das React DataGrid nicht separat. Es ist nur als Teil der Syncfusion Team Lizenz erhältlich. Diese enthält über 1,600 Komponenten und Frameworks, einschließlich des React DataGrid. Der Preis der Team Lizenz beginnt bei 395 $ pro Monat für 5 Entwickler und beinhaltet Support und Updates bis zum Ablauf des Abonnements. Zusätzlich können wir Rabatte basierend auf aktuell aktiven Aktionen anbieten. Bitte kontaktieren Sie noch heute unsere Produktspezialisten, um zu sehen, ob Sie für zusätzliche Rabatte in Frage kommen.
Wo finde ich die Syncfusion React Data Grid Demo?
Sie finden unsere React Data Grid Demo, die zeigt, wie man das Data Grid rendert und konfiguriert.
Was ist ein React Data Grid?
Ein React Data Grid ist eine UI-Komponente, die es Benutzern ermöglicht, tabellarische Daten mit Funktionen wie Sortierung, Filterung, Paginierung und Bearbeitung anzuzeigen und zu manipulieren. Es verarbeitet große Datensätze effizient und bietet Optionen für den Export und das Drucken.
Wie aktiviere ich die Filterung in React Data Grid?
Um die Filterfunktion zu verwenden, müssen Sie das Filtermodul in das Grid injizieren. Um die Filterung im Syncfusion React Grid zu aktivieren, setzen Sie die Eigenschaft allowFiltering auf true. Dadurch wird eine Filterleiste unter den Spaltenüberschriften gerendert, die es Benutzern ermöglicht, Filterkriterien einzugeben. Das Grid bietet mehrere Filtermodi, die über die Eigenschaft filterSettings.type konfigurierbar sind.
Wie geht man mit großen Datensätzen in einem React Data Grid um?
Das Grid kann große Datensätze mithilfe der Funktionen Paging, virtuelles Scrollen und unendliches Scrollen verarbeiten.
Wie implementiere ich Inline-Bearbeitung in React Data Grid?
Um die Bearbeitungsfunktion direkt im Gitter zu aktivieren, müssen Sie die Eigenschaften allowEditing, allowAdding und allowDeleting innerhalb der editSettings auf true setzen. Die Bearbeitung erfordert eine Primärschlüsselspalte für CRUD-Operationen. Um den Primärschlüssel zu definieren, setzen Sie isPrimaryKey in einer bestimmten Spalte auf true.
Kann ich die Syncfusion React DataGrid Komponente separat erwerben?
Nein, unsere 1,600+ Komponenten und Frameworks für Web, Mobil und Desktop, einschließlich unserer React DataGrid, werden nicht einzeln verkauft. Sie sind nur als Teil einer Teamlizenz erhältlich. Wir haben das Produkt jedoch wettbewerbsfähig bepreist, sodass es nur unwesentlich mehr kostet als das, was einige andere Anbieter für ihre DataGrid-Komponente allein verlangen. Wir haben auch die Erfahrung gemacht, dass unsere Kunden in der Regel mit einem unserer Produkte beginnen und dann schnell auf mehrere Produkte erweitern. Daher hielten wir es für das Beste, alle 1,600+ Komponenten und Frameworks gegen eine Abonnementgebühr anzubieten, die für ein Team von 5 Entwicklern bei 395 US-Dollar pro Monat beginnt. Zusätzlich könnten wir Rabatte basierend auf aktuell aktiven Aktionen anbieten. Bitte kontaktieren Sie unsere Produktspezialisten noch heute, um zu sehen, ob Sie für zusätzliche Rabatte in Frage kommen.
Kann ich die Syncfusion React DataGrid kostenlos herunterladen und nutzen?
Nein, dies ist ein kommerzielles Produkt und erfordert eine kostenpflichtige Lizenz. Eine kostenlose Community-Lizenz ist jedoch auch für Unternehmen und Einzelpersonen verfügbar, deren Organisationen weniger als 1 Million USD Jahresumsatz, 5 oder weniger Entwickler und insgesamt 10 oder weniger Mitarbeiter haben.
Wie fange ich mit Syncfusion React DataGrid an?
Ein guter Ausgangspunkt wäre unsere umfassende Dokumentation zum Einstieg.
Welche Funktionen hat ein React Data Grid?
React Grid bietet Funktionen wie Sortierung, Filterung, Paginierung, Bearbeitung, Aggregate, Gruppierung, Export nach Excel/PDF, Spaltengrößenänderung und Virtualisierung.
Wie fügt man eine Sortierung zu einem React Data Grid hinzu?
Um die Sortierung im Syncfusion React Grid zu aktivieren, befolgen Sie diese Schritte:1. Stellen Sie sicher, dass das Sortiermodul importiert und in Ihre Grid-Komponente injiziert wird.2. Setzen Sie die Eigenschaft allowSorting auf true, um die Sortierung zu aktivieren.3. Verwenden Sie die Eigenschaft sortSettings, um anfängliche Sortierkonfigurationen zu definieren oder das Sortierverhalten anzupassen.
Kann React Data Grid Echtzeitdaten verarbeiten?
Das Syncfusion React Grid verarbeitet Echtzeitdaten durch die Integration mit WebSockets und SignalR, was dynamische Updates und nahtlose Benutzererlebnisse ermöglicht.
Wie konfiguriere ich die serverseitige Paginierung in React Data Grid?
Das Grid verarbeitet die serverseitige Paginierung, indem es den integrierten Syncfusion-Datenadapter aktiviert oder benutzerdefinierte Datenbindungs-Konzepte verwendet.
Unsere Kunden lieben uns
Auszeichnungen
Viele behaupten, dass sie herausragend sind. Doch wenn andere das erkennen und loben, bedeutet es viel mehr. Syncfusion® präsentiert mit Stolz folgende Branchenauszeichnungen.
Aktuelle Aktivitäten in React DataGrid Blogs und Tutorials
Die React DataGrid Blog- und Tutorial-Videos helfen Ihnen beim Erstellen Ihrer ersten App mit React-Komponenten. Sie bieten Problemlösungsstrategien, beschreiben Funktionen und Features, kündigen neue Funktionsreleases an, erklären Best Practices und zeigen Beispielszenarien auf. Entdecken Sie unsere neuesten Beiträge in unserem Blog und unseren Tutorial-Videokanälen für React DataGrid-Updates.

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Angular Data Grid Übersicht

Das Angular Grid ist eine funktionsreiche Datenrasterkomponente zur Anzeige von Daten in einem tabellarischen Format. Die breite Palette an Funktionen umfasst Datenbindung, Bearbeitung, Excel-ähnliche Filterung, benutzerdefinierte Sortierung, Gruppierung, Zeilenneuanordnung, Fixieren von Zeilen und Spalten, Aggregieren von Zeilen und Export in Excel-, CSV- und PDF-Formate.


Warum Syncfusion Essential Studio® Angular Data Grid wählen?

Angular Grid High Performance image

Hohe Leistung

Gut durchdachte Bemühungen und konzentriert sich hauptsächlich auf schnelle Leistung zum Laden von Millionen von Datensätzen in nur einer Sekunde.

Angular Grid Seamless Data Binding image

Nahtlose Datenbindung

Binden Sie Daten nahtlos mit verschiedenen lokalen und entfernten Datenquellen wie JSON, OData, WCF und RESTful-Webdiensten mit Hilfe des Datenmanagers.

Angular Data Grid Resolution image

Passt sich jeder Auflösung an

Das Data Grid verfügt über ein hochgradig responsives Layout und ein optimiertes Design für Desktops, Touchscreens und Smartphones. Es funktioniert gut auf allen Mobiltelefonen, die iOS, Android oder Windows OS verwenden.

Angular Grid Flexible Editing image

Flexible Bearbeitung

Das Angular Grid führt Erstellungs-, Lese-, Aktualisierungs- und Löschvorgänge (CRUD) einfacher mit einer Liste von Geschäftsobjekten oder einem entfernten Datendienst mit Hilfe eines Datenmanagers durch.

Angular Data Grid Template Designs image

Erstellen Sie Ihre eigenen Vorlagendesigns

Ermöglicht Benutzern, benutzerdefinierte Benutzeroberflächen im Angular Grid basierend auf ihren Anwendungsbedürfnissen mit einer Vielzahl von Vorlagenoptionen zu erstellen.

Angular Grid Customizable Themes image

Attraktive anpassbare Themes

Spitzendesign mit über 5 integrierten Themes wie Fluent, Tailwind CSS, Bootstrap, Material, Fabric und mehr. Nutzen Sie das Online Theme Studio Tool, um Themes einfach anzupassen.

Angular Data Grid Export Print image

Einfacher Export und Druck

Exportieren Sie das Data Grid in verschiedenen Dateiformaten, einschließlich Excel, PDF und CSV. Drucken Sie alle Zeilen, unabhängig von der Anzahl der Seiten, sowie die aktuell angezeigte Seite.

Angular Grid Global Local image

Globalisierung und Lokalisierung

Ermöglicht Benutzern aus verschiedenen Regionen die Nutzung durch Formatierung von Daten, Währung und Nummerierung entsprechend den Präferenzen.


AI-Ready Grid Für Unternehmensdatenanalyse

Beschleunigen Sie die Datenanalyse in Angular-Apps mit einem für KI-Verbesserungen entwickelten DataGrid. Integrieren Sie problemlos semantische Suche und Anomalieerkennung für intelligentere Daten-Workflows.

  • Semantische Suche: Verwenden Sie Modelle für die Verarbeitung natürlicher Sprache (NLP), um Benutzern die Suche mit alltäglichen Ausdrücken zu ermöglichen, die Benutzerfreundlichkeit zu verbessern und keine exakten Schlüsselwörter zu erfordern.

  • See how to add semantic search
  • Anomalieerkennung: Fügen Sie Machine-Learning-(ML)-Tools hinzu, um Datenanomalien hervorzuheben und automatisch Konsistenz sicherzustellen.

  • So fügen Sie Anomalieerkennung hinzu

Angular Data Grid Anomaly Detection image


Angular Data Grid Codebeispiel

Beginnen Sie einfach mit dem Angular Data Grid mit nur wenigen Zeilen HTML- und TS-Code, wie unten gezeigt. Entdecken Sie auch unser Angular Data Grid Beispiel, das Ihnen zeigt, wie Sie ein Data Grid in Angular rendern und konfigurieren.

<div class="control-section">
    <ejs-grid [dataSource]='data' height='350'>
        <e-columns>
            <e-column field='OrderID' headerText='Order ID' width='120' textAlign='Right'/>
            <e-column field='CustomerName' headerText='Customer Name' width='150'/>
            <e-column field='OrderDate' headerText='Order Date' width='130' format="yMd" textAlign='Right'/>
            <e-column field='Freight' headerText='Freight' width='120' format='C2' textAlign='Right'/>
            <e-column field='ShippedDate' headerText='Shipped Date' width='130' format="yMd" textAlign='Right'/>
            <e-column field='ShipCountry' headerText='Ship Country' width='150'/>
        </e-columns>
    </ejs-grid>
</div>
import { Component, OnInit } from '@angular/core';
import { orderDetails } from './data';

@Component({
    selector: 'ej2-grid-container',
    templateUrl: 'default.html'
})
export class DefaultComponent implements OnInit {
    public data: Object[] = [];

    ngOnInit(): void {
        this.data = orderDetails;
    }
}

Angular Grid skeleton loading indicator.

Skeleton-Ladeanzeige

Das Data Grid zeigt den Schimmereffekt als Ladeanzeige an, während Daten abgerufen und an das Raster gebunden werden, während der ersten Darstellung, der Aktualisierung oder nach dem Ausführen von Rasteraktionen wie Sortieren, Filtern, Gruppieren und mehr. Das Datenraster bietet zwei Arten von Ladeanzeigen: Spinner und Shimmer.


Adaptives UI-Layout

Die Benutzeroberfläche des Data Grid ist für kleine Bildschirme angepasst und neu gestaltet, um eine hervorragende Ansicht und Benutzerfreundlichkeit zu gewährleisten. Zu den Funktionen gehören Filter, Sortierung, Suche, Spaltenauswahl, Spaltenmenü, Pager-Dropdown und Bearbeitungsdialoge, die sich an die Bildschirmgröße anpassen und Zeilenelemente vertikal rendern.

Angular Data Grid Adaptive Ui image


Angular Grid column chooser.

Spalte

Spalten definieren das Schema der Datenquelle im Datenraster. Es unterstützt Formatierung, das automatische Generieren von Spalten, Spaltendefinitionen, das Fixieren von Zeilen und Spalten, Spaltenüberspannung, Textumbruch, Spaltenauswahl, Spaltenmenü und andere Funktionen.


Paging

Paging wird verwendet, um ein Datensegment aus der zugewiesenen Datenquelle anzuzeigen. Das Angular Data Grid bietet eine integrierte Pager-Benutzeroberfläche mit Optionen zur Anpassung der gesamten Benutzeroberfläche. Es verfügt auch über einen On-Demand-Paging-Modus für den effektiven Datenabruf von entfernten Webdiensten.

Angular Data Grid paging.


Angular Data Grid sorting.

Sortierung

Sortieren Sie Zeilen entweder in aufsteigender oder absteigender Reihenfolge nach einer Spalte, indem Sie einfach auf den Header klicken. Sortieren Sie Daten aus mehreren Spalten, indem Sie die Strg-Taste + Header-Klick gedrückt halten. Darüber hinaus können Sie Ihre eigene benutzerdefinierte Sortierlogik basierend auf den Anwendungsbedürfnissen definieren.


Filterung

Die Filterung hilft, bestimmte oder verwandte Datensätze anzuzeigen, die ein bestimmtes Kriterium im Datenraster erfüllen. Das Datenraster unterstützt verschiedene Filtertypen, einschließlich leistungsstarker Excel-ähnlicher Filter. Wählen Sie den geeigneten Filtertyp, definieren Sie Ihre eigene benutzerdefinierte Filterlogik und passen Sie die Filter-Benutzeroberfläche an die Anwendungsbedürfnisse an. Diakritische Zeichen können ebenfalls gefiltert werden.

Angular Data Grid filtering.


Angular Data Grid selection.

Auswahl

Wählen Sie Zeilen oder Zellen mit dem Kontrollkästchen oder durch einfaches Klicken aus. Wählen Sie mehr als eine Zeile oder Zelle aus, indem Sie Strg, Umschalt oder Befehl gedrückt halten, oder programmatisch.


Bearbeitung

Das Angular Data Grid unterstützt Erstellungs-, Lese-, Aktualisierungs- und Löschvorgänge (CRUD). Neben integrierten Editor-Komponenten zur Bearbeitung eines bestimmten Spaltenwerts können benutzerdefinierte Editor-Komponenten mit Vorlagen entsprechend den Anwendungsbedürfnissen erstellt werden. Mit Hilfe eines Datenmanagers können Sie Bearbeitungsvorgänge mit einer Array-Sammlung oder einem Remote-Datendienst durchführen.

Editing in Angular Grid.


Angular Data Grid grouping.

Gruppierung

Gruppieren Sie Zeilen, um die Daten in einer organisierten hierarchischen Struktur in aufsteigender oder absteigender Reihenfolge anzuzeigen, um das Erweitern und Reduzieren von Datensätzen zu erleichtern. Es gibt eine Option, Datensätze der gewünschten Spalte durch einfaches Ziehen und Ablegen dieser Spalte in einem interaktiven Ablagebereich zu gruppieren.


Aggregation

Visualisieren Sie einfach die Aggregationen der Data Grid-Spaltenwerte mithilfe der Zusammenfassungsoption. Aggregationen können angepasst werden, um ihren Wert in einzelnen Zusammenfassungszeilen, einzelnen Gruppenzusammenfassungszeilen oder Gruppenüberschriftenzeilen anzuzeigen.

Angular Data Grid Aggregation.


Angular Data Grid Freeze image

Fixierte Zeilen und Spalten

Fixierte Zeilen und Spalten sind oben bzw. links, rechts, beidseitig oder an einer festen Position sichtbar, wodurch der restliche Rasterinhalt scrollbar wird. Diese Funktion wird hauptsächlich zum Vergleichen von Zellenwerten verwendet.


Der Header des Angular Data Grid muss beim vertikalen Scrollen des Dokuments an einer festen Position bleiben, um den Rasterinhalt zusammen mit dem Spaltenheader sichtbar zu machen.

Angular Grid Sticky Header image


Angular Grid row drag and drop.

Zeilen-Drag & Drop

Das Angular Grid ermöglicht es Benutzern, Zeilen in ein anderes Data Grid oder eine benutzerdefinierte Komponente zu ziehen und abzulegen. Benutzer können Zeilen auch innerhalb desselben Data Grid mit dem Zieh-Symbol ziehen und ablegen und Zeilen zwischen verschiedenen Gruppen verschieben.


Master-Detail-Raster

Angular Master Detail Grid ist ein Anwendungsfall, bei dem die Details eines Datensatzes in einem separaten Datenraster durch Klicken auf eine bestimmte Zeile angezeigt werden.

Angular master detail grid.


State management in Angular Data Grid.

Zustandsverwaltung

Die Zustandsverwaltung in der Angular Data Grid-Komponente ermöglicht es Ihnen, den Zustand des Rasters auch nach einer Browseraktualisierung oder beim Navigieren zu einer anderen Seite innerhalb derselben Browsersitzung beizubehalten. Diese Funktion ist besonders vorteilhaft, um die Konfiguration und Daten des Rasters nach einem Seitenneuladen beizubehalten.


Live-Update

Das Data Grid aktualisiert Live-Daten in seinen Zellen in bestimmten Zeitintervallen. Diese Aktualisierungen erfolgen ohne Verzögerung oder Verlangsamung, wodurch sichergestellt wird, dass das System hochreaktiv und effizient bleibt.

Live update with Angular Grid.


Zusätzliche Funktionen

Angular Data Grid with row height.

Zeilenhöhe

Die Zeilenhöhe ist ein wichtiger Faktor bei der Anzeige der Anzahl von Datensätzen im Viewport und kann basierend auf den UI-Anforderungen der Anwendung leicht angepasst werden. Es ist auch möglich, die Zeilenhöhe bedingt einzustellen.

Copy to clipboard from Angular Grid.

In die Zwischenablage kopieren

Die Zwischenablage ermöglicht es Benutzern, Daten aus ausgewählten Zeilen oder Zellen zu kopieren. Die Tastenkombinationen Strg+C und Strg+Umschalt+H kopieren Daten mit bzw. ohne Header.

Angular Data Grid with context menu.

Kontextmenü

Führt verschiedene Aktionen in einem Datenraster über das Popup-Menü aus, das erscheint, wenn auf die Zelle, den Header oder den Pager rechts geklickt wird. Neben integrierten Standardmenüpunkten können auch benutzerdefinierte Kontextmenüpunkte hinzugefügt werden.

Width and height in Angular Grid.

Breite und Höhe

Legen Sie die Eigenschaften Breite und Höhe fest, um die Größe des Datenrasters zu ändern. Wenn der Inhalt das Rasterelement überläuft, werden horizontale und vertikale Scrollleisten angezeigt. Um den übergeordneten Container des Datenrasters auszufüllen, stellen Sie einfach die Höhe und Breite auf 100% ein.

Angular Data Grid with stacked headers.

Gestapelte Header

Gestapelte Header ermöglichen das Gruppieren und Visualisieren von Spaltenheadern in einer gestapelten Weise. Die Anzahl der stapelbaren Spalten ist unbegrenzt. Führen Sie alle Data Grid-Aktionen auch bei gestapelten Spalten aus.


Barrierefreiheit

Keyboard navigation in Angular Grid.

Tastaturnavigation

Die Angular Grid-Komponente stellt sicher, dass jede Zelle mit der Tastatur zugänglich ist. Wichtige Funktionen wie Sortieren, Auswählen und Bearbeiten können allein mit Tastaturbefehlen ausgeführt werden; keine Mausinteraktion ist erforderlich. Dies hilft bei der Erstellung hochgradig zugänglicher Anwendungen mit dieser Komponente.

Accessibility and screen reader support in Angular Data Grid.

Screenreader

Die Angular Data Grid-Ansicht verfügt über vollständige WAI-ARIA-Barrierefreiheit. Die Benutzeroberfläche enthält visuelle Elemente mit hohem Kontrast, die sehbehinderten Menschen ein optimales Seherlebnis ermöglichen. Außerdem sind gültige UI-Beschreibungen über unterstützende Technologien wie Screenreader leicht zugänglich.

Show right-to-left language in Angular Grid.

Die von rechts nach links gerichtete Darstellung ermöglicht die Anzeige von Text und Layout des Datenrasters von rechts nach links. Dies verbessert die Benutzererfahrung und Zugänglichkeit für RTL-Sprachen.


Mobilgeräteoptimiert und berührungsfreundlich

Die Data Grid-Komponente verbessert die Benutzerfreundlichkeit und bietet ein optimiertes und responsives Design für Desktops, Touchscreens und Telefone über alle Betriebssysteme hinweg, einschließlich iOS, Android und Windows.

Touch support in Angular Data Grid.

Touch-Unterstützung

Benutzerfreundliche Touch-Gesten und ein interaktives UI-Design bieten das beste Benutzererlebnis. Alle Data Grid-Funktionen funktionieren auf Touch-Geräten ohne Konfiguration.

Responsive pager UI in Angular Grid.

Responsiver Pager

Der Data Grid Pager agiert intelligent und ändert seine gesamte Benutzeroberfläche responsiv basierend auf der Dimension. Sein optimiertes Design bietet die beste UI-Interaktion auf verschiedenen Geräten.


Angular-Versionskompatibilität

Mit kontinuierlichen Verbesserungen in Angular-Versionen wird das Angular Data Grid stets aktualisiert, um die Kompatibilität mit Versionen von 4 bis zur neuesten Version zu gewährleisten.

Angular Data Grid version compatibility.






Andere unterstützte Frameworks

Das Data Grid ist für die Frameworks Blazor, React, JavaScript und Vue verfügbar. Erkunden Sie die plattformspezifischen Optionen über die folgenden Links:

Unterstützte Browser

Das Angular Data Grid funktioniert gut mit allen modernen Webbrowsern, einschließlich Chrome, Firefox, Edge, Safari und Opera.

Supported browsers in Angular Data Grid.

150+ Angular-UI-Komponenten

Häufig gestellte Fragen

Das Syncfusion Data Grid ist das beste Angular Data Grid, das die folgenden Funktionen bietet:

Wir verkaufen das Angular Data Grid nicht separat. Es ist nur als Teil der Syncfusion Teamlizenz erhältlich. Diese enthält über 1,600 Komponenten und Frameworks, einschließlich des Angular Data Grid. Der Preis der Teamlizenz beginnt bei 395 $ pro Monat für 5 Entwickler und beinhaltet Support und Updates bis zum Ablauf des Abonnements. Zusätzlich können wir möglicherweise Rabatte basierend auf aktuell aktiven Aktionen anbieten. Bitte kontaktieren Sie noch heute unsere Produktspezialisten, um zu erfahren, ob Sie für zusätzliche Rabatte qualifiziert sind.

Sie finden unsere Angular Grid Demo, die zeigt, wie das Grid gerendert und konfiguriert wird.

Das Angular Grid ist eine grundlegende Tabellenimplementierung (ähnlich table oder *ngFor), während das Angular Data Grid (wie das Angular Grid von Syncfusion) erweiterte Funktionen wie Sortierung, Filterung, Virtualisierung und Inline-Bearbeitung für die komplexe Datenverarbeitung bietet. Das Grid von Syncfusion ist für hohe Leistung und Skalierbarkeit in Unternehmensanwendungen optimiert.

Nein, unsere 1,600+ Komponenten und Frameworks für Web, Mobilgeräte und Desktop, einschließlich unseres Angular Data Grid, werden nicht einzeln verkauft. Sie sind nur als Teil einer Teamlizenz erhältlich. Wir haben das Produkt jedoch wettbewerbsfähig bepreist, sodass es nur unwesentlich mehr kostet als das, was einige andere Anbieter für ihre Data Grid-Komponente allein verlangen. Wir haben auch die Erfahrung gemacht, dass unsere Kunden in der Regel mit einem unserer Produkte beginnen und dann schnell auf mehrere Produkte erweitern. Daher hielten wir es für am besten, alle 1,600+ Komponenten und Frameworks für eine Abonnementgebühr anzubieten, die bei 395 $ pro Monat für ein Team von 5 Entwicklern beginnt. Zusätzlich können wir möglicherweise Rabatte basierend auf aktuell aktiven Aktionen anbieten. Bitte kontaktieren Sie noch heute unsere Produktspezialisten, um zu erfahren, ob Sie für zusätzliche Rabatte qualifiziert sind.

Nein, dies ist ein kommerzielles Produkt und erfordert eine kostenpflichtige Lizenz. Eine kostenlose Community-Lizenz ist jedoch für Unternehmen und Einzelpersonen erhältlich, deren Organisationen weniger als 1 Million US-Dollar Jahresbruttoumsatz und fünf oder weniger Entwickler haben.

Ein guter Ausgangspunkt wäre unsere umfassende Dokumentation zum Einstieg.

Ein Angular Data Grid ist eine erweiterte Tabellenkomponente, die entwickelt wurde, um große Datensätze effizient anzuzeigen und zu verwalten. Ihre Funktionen umfassen Sortierung, Filterung, Paginierung und Echtzeitaktualisierungen. Bibliotheken wie Syncfusion verbessern die Leistung mit Excel-ähnlichen Funktionen, serverseitiger Verarbeitung und nahtloser Angular-Integration.

Unsere Kunden lieben uns

Mit einem ausgezeichneten Toolset und einem großartigen Supportteam verkürzt Syncfusion® die Entwicklungszeit der Kunden.
Hier sind einige ihrer Erfahrungen.

Echte Erfolgsgeschichten ansehen

Entwickler auf der ganzen Welt vertrauen auf Syncfusions Essential Studio, um komplexe Projekte zu vereinfachen und die Auslieferung zu beschleunigen. Mit einer umfangreichen Bibliothek an UI-Steuerelementen, leistungsstarken SDKs und zuverlässigem Support hilft Essential Studio Teams, unternehmensreife Anwendungen mit Zuversicht zu erstellen.

Fallstudien erkunden


Von Benutzern auf der ganzen Welt bewertet

Transformieren Sie Ihre Apps – jetzt kostenlose Testversion laden da
Gratis-Testversion starten Keine Kreditkarte erforderlich.

Auszeichnungen

Viele behaupten, dass sie herausragend sind. Doch wenn andere das erkennen und loben, bedeutet es viel mehr. Syncfusion® präsentiert mit Stolz folgende Branchenauszeichnungen.

Aktuelle Aktivitäten in Angular Data Grid Tutorials und Blogs

Die Angular Data Grid-Tutorial-Videos und Blogbeiträge helfen Ihnen beim Erstellen Ihrer ersten App mit Angular-Komponenten. Sie bieten Problemlösungsstrategien, beschreiben Funktionen und Features, kündigen neue Feature-Releases an, erklären Best Practices und zeigen Beispielszenarien. Entdecken Sie unsere neuesten Beiträge in unserem Blog und unseren Tutorial-Videokanälen für Angular Data Grid-Updates.

Up arrow icon